using APT.Infrastructure.Api;
using APT.Infrastructure.Utility;
using System;
using System.ComponentModel;
using APT.Infrastructure.Core;
using System.Collections.Generic;
using APT.BaseData.Domain.Entities.FM;

namespace APT.BaseData.Domain.Entities
{
    [Description("意见反馈附件")]
    public partial class T_PF_FDDEBACK_FILE : MesEntityBase
    {
        /// <summary>
        /// 隐患上报
        /// </summary>
        [Description("意见反馈")]
        [DataFieldForeignKey("Nav_FeedBack", "Nav_Files")]
        public Guid FDDEBACK_ID { get; set; }

        /// <summary>
        /// 隐患上报任务表
        /// </summary>
        [Description("导航：意见反馈")]
        public virtual T_PF_FDDEBACK Nav_FeedBack { get; set; }

        /// <summary>
        /// 文件ID
        /// </summary>
        [Description("文件ID")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid IMG_FILE_ID { get; set; }

        /// <summary>
        /// 导航属性：文件
        /// </summary>
        [Description("导航属性：文件")]
        public virtual T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}